Skip to main content
POST
/
v2
/
salesinvoice
/
createsalesinvoicecorrection
Create a new sales invoice correction from an existing invoice
curl --request POST \
  --url https://api.jtl-cloud.com/erp/v2/salesinvoice/createsalesinvoicecorrection \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'x-appid: <x-appid>' \
  --header 'x-appversion: <x-appversion>' \
  --header 'x-tenant-id: <x-tenant-id>' \
  --data '
{
  "salesInvoiceId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
  "asDraft": true,
  "useUndeliveredQuantities": true,
  "disableAutomaticWorkflows": true,
  "reduceSalesOrderQuantities": true,
  "reduceDeliveryQuantities": true,
  "cancelWebShopOrder": true
}
'

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

api-version
string
x-appid
string
required

This is the name of your application, e.g. "MyApp/1.0.0". It is used to identify your application.

x-appversion
string
required

This is where the version number of your application is entered, e.g. "1.0.0".

x-runas
string

The User-Id (int or uuid) on whose behalf the request is executed. Requires scope 'Application.RunAs'.

X-SessionId
string<uuid>

The id of a session in which the call will be executed.

x-companyid
string

The Company-Id (int or uuid) of the company on whose behalf the request is executed.

x-tenant-id
string<uuid>
required

The tenant ID for the target ERP instance.

Body

application/json

Request parameters

Create a new sales invoice correction from an existing invoice - Request

salesInvoiceId
string<uuid>

The ID of the sales invoice to create the correction for.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

asDraft
boolean

Indicates if the sales invoice correction should be created as draft.

useUndeliveredQuantities
boolean

Indicates if only undelivered quantities should be used.

disableAutomaticWorkflows
boolean

If true, the workflows do not trigger automatic.

reduceSalesOrderQuantities
boolean

If true, the sales order quantities will be reduced.

reduceDeliveryQuantities
boolean

If true, the delivery quantities will be reduced.

cancelWebShopOrder
boolean

If true, the web shop order will be canceled

Response

201 - application/json

Sales invoice correction created successfully